Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
ChannelRouteIterator Class Reference
Inheritance diagram for ChannelRouteIterator:

List of all members.

## Public Types

typedef std::pair < BufferedTransformation *, std::string > | Route
typedef std::multimap < std::string, Route > | RouteMap
typedef std::pair < BufferedTransformation *, value_ptr< std::string > > | DefaultRoute
typedef std::list< DefaultRoute > | DefaultRouteList
typedef RouteMap::iterator | MapIterator
typedef DefaultRouteList::iterator | ListIterator

## Public Member Functions

| ChannelRouteIterator (ChannelSwitch &cs)
void | Reset (const std::string &channel)
bool | End () const
void | Next ()
BufferedTransformation & | Destination ()
const std::string & | Channel ()

## Public Attributes

ChannelSwitch & | m_cs
std::string | m_channel
bool | m_useDefault
MapIterator | m_itMapCurrent
MapIterator | m_itMapEnd
ListIterator | m_itListCurrent
ListIterator | m_itListEnd

## Detailed Description

Definition at line 63 of file channels.h.

The documentation for this class was generated from the following file:

- channels.h